Subject: bug#19482: Changing to big font cause display problem

From: "Jan D." <[email-masked]>
Date: Sun, 22 Feb 2015 17:27:34 +0100

> 22 feb 2015 kl. 11:54 skrev 张海君 <[email-masked]>:
> 
> 
>> 在 2015年2月22日，18:00，martin rudalics <[email-masked]> 写道：

>> And a final touch: On X and Windows I have a function called
>> `x-frame-geometry' which, far from perfect, allows to retrieve the sizes
>> of the part of a frame not managed by Emacs.  I don't have such a
>> function for the ns part of Emacs.  But to tell whether a frame can be
>> embedded into a display I need to know the size of the display and the
>> sizes of the decorations added by the window manager.  Could you write
>> such a function for ns?
>> 
> Sorry, I'm not familiar with object-c. I'm just a basic user of Mac.

I added an implementation for NS.
When looking at the X version, this does not make sense (except from the redundant parantesis):

  outer_height = (FRAME_PIXEL_HEIGHT (f)
		  + FRAME_OUTER_TO_INNER_DIFF_Y (f)
		  + FRAME_OUTER_TO_INNER_DIFF_X (f));

What is the connection between height and DIFF_X?
It should probably be

  outer_height = FRAME_PIXEL_HEIGHT (f)
		  + 2 * FRAME_OUTER_TO_INNER_DIFF_Y (f);

	Jan D.